(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/scripts/Touch.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'e5f95QvXUNBIqa+x/IiEU9s', 'Touch', __filename);
// scripts/Touch.js

"use strict";

/**
 * @brief 测试蓝色节点触摸事件
 * @author Peng Chaowen
 * @web www.pcwen.top
 * @version 1.0
 * @date 2018/12/17
 */

cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad: function onLoad() {
        //开启各种响应事件
        this.node.on(cc.Node.EventType.TOUCH_START, this.onTouchStart, this);
        this.node.on(cc.Node.EventType.TOUCH_END, this.onTouchEnd, this);
        this.node.on(cc.Node.EventType.TOUCH_MOVE, this.onTouchMove, this);
        this.node.on(cc.Node.EventType.TOUCH_CANCEL, this.onTouchCancel, this);
    },
    onDestroy: function onDestroy() {
        //关闭响应事件
        this.node.off(cc.Node.EventType.TOUCH_START, onTouchStart, this);
        this.node.off(cc.Node.EventType.TOUCH_END, onTouchEnd, this);
        this.node.off(cc.Node.EventType.TOUCH_MOVE, onTouchMove, this);
        this.node.off(cc.Node.EventType.TOUCH_CANCEL, onTouchCancel, this);
    },


    //节点区域内触摸开始事件
    onTouchStart: function onTouchStart(event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current point:", event.currentTouch._point);
    },

    //节点区域内/外触摸移动事件
    onTouchMove: function onTouchMove(event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current point:", event.currentTouch._point);
    },

    //节点区域内触摸结束事件
    onTouchEnd: function onTouchEnd(event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current point:", event.currentTouch._point);
    },

    //节点区域外触摸结束事件
    onTouchCancel: function onTouchCancel(event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current: point", event.currentTouch._point);
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=Touch.js.map
        